#include <default.h>
#include <utils.h>

const char* wave_type(short fmt)
{
    switch (fmt)
    {
    case 0x01:
	return "PCM";
    case 0x02:
	return "MS ADPCM";
    case 0x06:
	return "ALaw";
    case 0x07:
	return "uLaw";
    case 0x11://IMA ADPCM
	return "ADPCM";
    case 0x31://MS GSM 6.10
    case 0x32://MSN Audio
	return "MS GSM 6.10";
    case 0x50:
	return "MPEG Layer-1/2";
    case 0x55:
	return "MPEG Layer-3";
    case 0x160:
    case 0x161://DivX audio
	return "DivX WMA";
    case 0x401://Intel Music Coder
	return "IMC";
    case 0x2000:
	return "AC3";
    default:
	return "unknown";
    }
}
